// SDPXML
// Copyright (c) 1995-2004, Timothy M. Shead
//
// Contact: tshead@k-3d.com
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#include <sdpxml/sdpxml.h>
#include <fstream>
#include <iostream>

using namespace sdpxml;

int main(int argc, char* argv[])
{
	for(int i = 1; i < argc; i++)
		{
			std::ifstream file(argv[i]);
			Document doc("empty", argv[i]);
			Parse(file, doc);

			std::cout << doc << std::endl;
		}

	if(1 == argc)
		{
			Document doc("empty", "stdin");
			Parse(std::cin, doc);

			std::cout << doc << std::endl;
		}
	
	return 0;
}
